taoww
狐狸大王
狐狸大王
  • UID39284
  • 注册日期2013-03-18
  • 最后登录2019-12-13
  • 发帖数463
  • 经验420枚
  • 威望0点
  • 贡献值98点
  • 好评度72点
15楼#
发布于:2019-05-05 00:20
jiayiming:我试了一下 手动导入提取的证书没用  运行hotfix有用回到原帖
嗯,hotfix还多了一个立即重新验证扩展签名的操作,单纯导入证书的话就不会。在顶楼补充了手动重新验证的方法
dsznyrvzn
火狐狸
火狐狸
  • UID40433
  • 注册日期2013-11-01
  • 最后登录2019-12-13
  • 发帖数122
  • 经验143枚
  • 威望0点
  • 贡献值118点
  • 好评度6点
  • 社区居民
  • 忠实会员
16楼#
发布于:2019-05-05 07:56
56有些扩展要重新安装
drlifeng
小狐狸
小狐狸
  • UID56125
  • 注册日期2017-11-20
  • 最后登录2019-12-03
  • 发帖数4
  • 经验4枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
  • 社区居民
  • 忠实会员
17楼#
发布于:2019-05-05 08:45
ESR版本60.6.1试了没效果啊。
albertmars
火狐狸
火狐狸
  • UID12758
  • 注册日期2006-05-14
  • 最后登录2019-05-11
  • 发帖数142
  • 经验68枚
  • 威望0点
  • 贡献值56点
  • 好评度2点
18楼#
发布于:2019-05-05 09:45
我的Firefox是52.9,about:studies打不开啊,隐私与安全-> Firefox 数据收集与使用,勾选“允许 Firefox 向 Mozilla 发送技术信息及交互数据”+“允许 Firefox 安装并运行一些实验项目” 这些也没有,安装完扩展,也没立即重新检查已安装扩展的签名,什么反应都没有啊,怎么办?
marb
非常火狐
非常火狐
  • UID56238
  • 注册日期2017-12-25
  • 最后登录2019-12-13
  • 发帖数615
  • 经验709枚
  • 威望0点
  • 贡献值784点
  • 好评度34点
19楼#
发布于:2019-05-05 10:13
66.03正式版,使用证书导入方法解决了问题。按操作执行后扩展自动能用了。不过导入证书的时候发现这个,第一个是我曾经访问过的按键精灵网站,还有很多其他的。这个什么意思有何作用,也找不到删除的方法。
taoww
狐狸大王
狐狸大王
  • UID39284
  • 注册日期2013-03-18
  • 最后登录2019-12-13
  • 发帖数463
  • 经验420枚
  • 威望0点
  • 贡献值98点
  • 好评度72点
20楼#
发布于:2019-05-05 14:19
albertmars:我的Firefox是52.9,about:studies打不开啊,隐私与安全-> Firefox 数据收集与使用,勾选“允许 Firefox 向 Mozilla 发送技术信息及交互数据”+“允许 Firefox 安装并运行一些实验项目” 这...回到原帖
这是针对最新版的。你试试手动导入证书后,运行 Components.utils.import("resource://gre/modules/addons/XPIProvider.jsm").XPIProvider.verifySignatures()
376987
小狐狸
小狐狸
  • UID40611
  • 注册日期2013-11-02
  • 最后登录2019-05-05
  • 发帖数2
  • 经验2枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
21楼#
发布于:2019-05-05 14:31
taoww:这是针对最新版的。你试试手动导入证书后,运行 Components.utils.import("resource://gre/modules/addons/XPIProvider.jsm").XPIProvider.verifySignat...回到原帖
56.02,手动导入证书后,运行 Components.utils.import("resource://gre/modules/addons/XPIProvider.jsm").XPIProvider.verifySignatures()        有效,太感谢了
taoww
狐狸大王
狐狸大王
  • UID39284
  • 注册日期2013-03-18
  • 最后登录2019-12-13
  • 发帖数463
  • 经验420枚
  • 威望0点
  • 贡献值98点
  • 好评度72点
22楼#
发布于:2019-05-05 14:35
drlifeng:ESR版本60.6.1试了没效果啊。回到原帖
扩展和原来的方法都是针对最新版的,60ESR版中需要运行的代码要稍微变一下,已在顶楼更新
drlifeng
小狐狸
小狐狸
  • UID56125
  • 注册日期2017-11-20
  • 最后登录2019-12-03
  • 发帖数4
  • 经验4枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
  • 社区居民
  • 忠实会员
23楼#
发布于:2019-05-05 15:03
taoww:扩展和原来的方法都是针对最新版的,60ESR版中需要运行的代码要稍微变一下,已在顶楼更新回到原帖
谢谢,可以了。太感谢了。
paul_guo
小狐狸
小狐狸
  • UID45016
  • 注册日期2014-03-13
  • 最后登录2019-11-19
  • 发帖数30
  • 经验33枚
  • 威望0点
  • 贡献值24点
  • 好评度1点
24楼#
发布于:2019-05-05 15:06
很无聊的BUG。。。。
albertmars
火狐狸
火狐狸
  • UID12758
  • 注册日期2006-05-14
  • 最后登录2019-05-11
  • 发帖数142
  • 经验68枚
  • 威望0点
  • 贡献值56点
  • 好评度2点
25楼#
发布于:2019-05-05 15:37
taoww:这是针对最新版的。你试试手动导入证书后,运行 Components.utils.import("resource://gre/modules/addons/XPIProvider.jsm").XPIProvider.verifySignat...回到原帖
Components.utils.import("resource://gre/modules/addons/XPIProvider.jsm").XPIProvider.verifySignatures()
这段代码怎么用啊。。。
taoww
狐狸大王
狐狸大王
  • UID39284
  • 注册日期2013-03-18
  • 最后登录2019-12-13
  • 发帖数463
  • 经验420枚
  • 威望0点
  • 贡献值98点
  • 好评度72点
26楼#
发布于:2019-05-05 15:49
albertmars:Components.utils.import("resource://gre/modules/addons/XPIProvider.jsm").XPIProvider.verifySignatures()
这段代码怎么用啊。。。
回到原帖
在地址栏输入  chrome://browser/content/browser.xul,再在打开的页面按F12,在控制台中输入代码后回车即可
HGBoy
小狐狸
小狐狸
  • UID49876
  • 注册日期2015-05-01
  • 最后登录2019-07-01
  • 发帖数2
  • 经验2枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
27楼#
发布于:2019-05-05 16:20
多谢楼主!
我的56尝试了各种方案都解决不了故障,幸亏找到这个帖子,Firefox终于又能苟延残喘了。
guilu
小狐狸
小狐狸
  • UID56081
  • 注册日期2017-11-15
  • 最后登录2019-08-25
  • 发帖数1
  • 经验1枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
28楼#
发布于:2019-05-05 16:34
66.0.3版本按照操作导入证书运行证书验证后,已修复问题 了,感谢。
acfunmusic
小狐狸
小狐狸
  • UID57031
  • 注册日期2019-05-05
  • 最后登录2019-05-06
  • 发帖数2
  • 经验2枚
  • 威望0点
  • 贡献值0点
  • 好评度0点
29楼#
发布于:2019-05-05 16:44
taoww:在地址栏输入  chrome://browser/content/browser.xul,再在打开的页面按F12,在控制台中输入代码后回车即可回到原帖
特意注册号来询问,首先感谢楼主给出可能的解决方法。但是我这里还是没有解决

如图,火狐为53版本,希望在不安装或升级其他版本的情况下解决,因为这是最新的支持一个不再更新的死插件的版本
已经安装了 hotfix-update-xpi-intermediate@mozilla.com-1.0.2-signed.xpi 这个插件
老版本隐私和安全是分开的,后续版本的方法无效
文中提到的57版本前的代码试过,undefined 后没有改观,该不能用的插件还是不能用
https://news.ycombinator.com/item?id=19829476 中有提到两个代码,不是专业人士看不懂,但用txt做成js文件运行不起来,均提示语法错误什么的
每次操作后都会重启一次浏览器

上传图速度是0,微博最近又封外链,看不到图的话试试新页面打开
游客

返回顶部